# $Id: ulogd.spec 816 2007-07-19 22:45:45Z rpmbuild $
# repo: RE
# restrictions: 

Summary: The userspace logging daemon for netfilter
Name: ulogd
Version: 1.24
Release: %RErelease 1
Epoch: 0
License: GPL
Group: System Environment/Daemons
URL: http://www.netfilter.org/projects/ulogd/
Source0: http://www.netfilter.org/projects/ulogd/files/%{name}-%{version}.tar.bz2
Patch0: ulogd-1.24-init.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: rpm-macros-razorsedge
BuildRequires: mysql-devel, postgresql-devel, libpcap-devel, sqlite-devel

%description
ulogd is an universal logging daemon for the ULOG target of netfilter, the
Linux 2.4 firewalling subsystem. ulogd is able to log packets in variuos
formats to different targets (text files, databases, etc..). It has an
easy-to-use plugin interface to add new protocols and new output targets.

%package mysql
Summary: MySQL output plugin for ulogd
Group: System Environment/Daemons

%description mysql
ulogd-mysql is a MySQL output plugin for ulogd. It enables logging of
firewall information into a MySQL database.

%package pgsql
Summary: PostgreSQL output plugin for ulogd
Group: System Environment/Daemons

%description pgsql
ulogd-mysql is a PostgreSQL output plugin for ulogd. It enables logging of
firewall information into a PostgreSQL database.

%package sqlite
Summary: SQLITE3 output plugin for ulogd
Group: System Environment/Daemons

%description sqlite
ulogd-sqlite is a SQLITE3 output plugin for ulogd. It enables logging of
firewall information into a SQLITE3 database.

%package pcap
Summary: PCAP output plugin for ulogd
Group: System Environment/Daemons

%description pcap
ulogd-pcap is a output plugin for ulogd that saves packet logs as PCAP file.
PCAP is a standard format that can be later analyzed by a lot of tools such as
tcpdump and ethereal.

%prep
%setup -q
%patch0 -p1 -b .redhat

%build
%configure --with-mysql --with-pgsql --with-sqlite3
%{__make}
#%{__make} %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%{__make} DESTDIR=${RPM_BUILD_ROOT} install
%{__install} -m 755 -D ulogd.init ${RPM_BUILD_ROOT}%{_initrddir}/%{name}
%{__install} -m 644 -D ulogd.logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 644 -D ulogd.8 ${RPM_BUILD_ROOT}%{_mandir}/man8/ulogd.8

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && %{__rm} -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ulogd

%preun
# Only if a last uninstall...
if [ "$1" = 0 ]; then
  /sbin/service ulogd stop > /dev/null 2>&1
  /sbin/chkconfig --del ulogd
fi

%postun
# Only if we are upgrading...
if [ "$1" -ge "1" ]; then
  /sbin/service ulogd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS README doc/mysql* doc/pgsql* doc/sqlite3* doc/ulogd*
%config(noreplace) %{_sysconfdir}/ulogd.conf
%{_sysconfdir}/logrotate.d/%{name}
%{_initrddir}/%{name}
%dir %{_libdir}/ulogd
%{_libdir}/ulogd/ulogd_BASE.so
%{_libdir}/ulogd/ulogd_LOCAL.so
%{_libdir}/ulogd/ulogd_LOGEMU.so
%{_libdir}/ulogd/ulogd_OPRINT.so
%{_libdir}/ulogd/ulogd_PWSNIFF.so
%{_libdir}/ulogd/ulogd_SYSLOG.so
%doc %{_mandir}/*/*
%{_sbindir}/ulogd

%files mysql
%defattr(-,root,root,-)
%{_libdir}/ulogd/ulogd_MYSQL.so

%files pgsql
%defattr(-,root,root,-)
%{_libdir}/ulogd/ulogd_PGSQL.so

%files sqlite
%defattr(-,root,root,-)
%{_libdir}/ulogd/ulogd_SQLITE3.so

%files pcap
%defattr(-,root,root,-)
%{_libdir}/ulogd/ulogd_PCAP.so

%changelog
* Thu Jul 19 2007 RazorsEdge Packaging <rpmpackaging@razorsedge.org> 1.24-1
- Rewrote specfile and init script.

* Wed Feb 16 2005 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.21-1gm
- updated to 1.21 release
- separate sqlite3 and pcap sub-pacakges

* Sat Feb 12 2005 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.20-1gm
- updated to 1.20 release
- add ulogd.8 manpage

* Sat Aug 25 2003 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.00-1gm
- updated to 1.01 release
- add ulogd.8 manpage

* Wed Mar 05 2003 Harald Welte <laforge@gnumonks.org>
+ ulogd-1.00-1gm
- updated to 1.00 release

* Mon Sep 24 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.97-1cl
- updatd to 0.97 release (to fix endless-one-packet-loop bug)

* Sun Jun 17 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-2cl
- updated to 0.96 final release
- use ulogd.init from within source tgz

* Sun May 20 2001 Harald Welte <laforge@conectiva.com>
+ ulogd-0.96-1cl
- Initial conectiva package
- cleaned up SPEC file
- created mysql subpackage

* Sun Nov 19 2000 Harald Welte <laforge@gnumonks.org>
- Initial RPM package for ulogd-0.9.
